diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -5127,7 +5497,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isFile($file)
         {
-            return \Illuminate\Filesystem\Filesystem::isFile($file);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->isFile($file);
         }
         
         /**
@@ -5140,7 +5511,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function glob($pattern, $flags = 0)
         {
-            return \Illuminate\Filesystem\Filesystem::glob($pattern, $flags);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->glob($pattern, $flags);
         }
         
         /**
@@ -5153,7 +5525,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function files($directory, $hidden = false)
         {
-            return \Illuminate\Filesystem\Filesystem::files($directory, $hidden);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->files($directory, $hidden);
         }
         
         /**
@@ -5166,7 +5539,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function allFiles($directory, $hidden = false)
         {
-            return \Illuminate\Filesystem\Filesystem::allFiles($directory, $hidden);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->allFiles($directory, $hidden);
         }
         
         /**
@@ -5178,7 +5552,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function directories($directory)
         {
-            return \Illuminate\Filesystem\Filesystem::directories($directory);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->directories($directory);
         }
         
         /**
@@ -5193,7 +5568,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function makeDirectory($path, $mode = 493, $recursive = false, $force = false)
         {
-            return \Illuminate\Filesystem\Filesystem::makeDirectory($path, $mode, $recursive, $force);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->makeDirectory($path, $mode, $recursive, $force);
         }
         
         /**
@@ -5207,7 +5583,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function moveDirectory($from, $to, $overwrite = false)
         {
-            return \Illuminate\Filesystem\Filesystem::moveDirectory($from, $to, $overwrite);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->moveDirectory($from, $to, $overwrite);
         }
         
         /**
@@ -5221,7 +5598,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function copyDirectory($directory, $destination, $options = null)
         {
-            return \Illuminate\Filesystem\Filesystem::copyDirectory($directory, $destination, $options);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->copyDirectory($directory, $destination, $options);
         }
         
         /**
@@ -5236,7 +5614,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function deleteDirectory($directory, $preserve = false)
         {
-            return \Illuminate\Filesystem\Filesystem::deleteDirectory($directory, $preserve);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->deleteDirectory($directory, $preserve);
         }
         
         /**
@@ -5248,7 +5627,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function deleteDirectories($directory)
         {
-            return \Illuminate\Filesystem\Filesystem::deleteDirectories($directory);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->deleteDirectories($directory);
         }
         
         /**
@@ -5260,7 +5640,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function cleanDirectory($directory)
         {
-            return \Illuminate\Filesystem\Filesystem::cleanDirectory($directory);
+                        /** @var \Illuminate\Filesystem\Filesystem $instance */
+                        return $instance->cleanDirectory($directory);
         }
         
         /**
@@ -5273,20 +5654,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function macro($name, $macro)
         {
-            \Illuminate\Filesystem\Filesystem::macro($name, $macro);
+                        \Illuminate\Filesystem\Filesystem::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Illuminate\Filesystem\Filesystem::mixin($mixin);
+                        \Illuminate\Filesystem\Filesystem::mixin($mixin, $replace);
         }
         
         /**
@@ -5298,7 +5680,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasMacro($name)
         {
-            return \Illuminate\Filesystem\Filesystem::hasMacro($name);
+                        return \Illuminate\Filesystem\Filesystem::hasMacro($name);
         }
          
     }
@@ -5306,19 +5688,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static bool has(string $ability)
-     * @method static \Illuminate\Contracts\Auth\Access\Gate define(string $ability, callable|string $callback)
-     * @method static \Illuminate\Contracts\Auth\Access\Gate policy(string $class, string $policy)
-     * @method static \Illuminate\Contracts\Auth\Access\Gate before(callable $callback)
-     * @method static \Illuminate\Contracts\Auth\Access\Gate after(callable $callback)
-     * @method static bool allows(string $ability, array|mixed $arguments = [])
-     * @method static bool denies(string $ability, array|mixed $arguments = [])
-     * @method static bool check(iterable|string $abilities, array|mixed $arguments = [])
-     * @method static bool any(iterable|string $abilities, array|mixed $arguments = [])
-     * @method static \Illuminate\Auth\Access\Response authorize(string $ability, array|mixed $arguments = [])
-     * @method static mixed getPolicyFor(object|string $class)
-     * @method static \Illuminate\Contracts\Auth\Access\Gate forUser(\Illuminate\Contracts\Auth\Authenticatable|mixed $user)
-     * @method static array abilities()
      * @see \Illuminate\Contracts\Auth\Access\Gate
      */ 
     class Gate {
@@ -5332,7 +5701,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function has($ability)
         {
-            return \Illuminate\Auth\Access\Gate::has($ability);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->has($ability);
         }
         
         /**
@@ -5340,13 +5710,14 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $ability
          * @param callable|string $callback
-         * @return $this 
+         * @return \Illuminate\Auth\Access\Gate 
          * @throws \InvalidArgumentException
          * @static 
          */ 
         public static function define($ability, $callback)
         {
-            return \Illuminate\Auth\Access\Gate::define($ability, $callback);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->define($ability, $callback);
         }
         
         /**
@@ -5355,12 +5726,13 @@ namespace Illuminate\Support\Facades {
          * @param string $name
          * @param string $class
          * @param array|null $abilities
-         * @return $this 
+         * @return \Illuminate\Auth\Access\Gate 
          * @static 
          */ 
         public static function resource($name, $class, $abilities = null)
         {
-            return \Illuminate\Auth\Access\Gate::resource($name, $class, $abilities);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->resource($name, $class, $abilities);
         }
         
         /**
@@ -5368,36 +5740,39 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $class
          * @param string $policy
-         * @return $this 
+         * @return \Illuminate\Auth\Access\Gate 
          * @static 
          */ 
         public static function policy($class, $policy)
         {
-            return \Illuminate\Auth\Access\Gate::policy($class, $policy);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->policy($class, $policy);
         }
         
         /**
          * Register a callback to run before all Gate checks.
          *
          * @param callable $callback
-         * @return $this 
+         * @return \Illuminate\Auth\Access\Gate 
          * @static 
          */ 
         public static function before($callback)
         {
-            return \Illuminate\Auth\Access\Gate::before($callback);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->before($callback);
         }
         
         /**
          * Register a callback to run after all Gate checks.
          *
          * @param callable $callback
-         * @return $this 
+         * @return \Illuminate\Auth\Access\Gate 
          * @static 
          */ 
         public static function after($callback)
         {
-            return \Illuminate\Auth\Access\Gate::after($callback);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->after($callback);
         }
         
         /**
@@ -5410,7 +5785,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function allows($ability, $arguments = array())
         {
-            return \Illuminate\Auth\Access\Gate::allows($ability, $arguments);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->allows($ability, $arguments);
         }
         
         /**
@@ -5423,7 +5799,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function denies($ability, $arguments = array())
         {
-            return \Illuminate\Auth\Access\Gate::denies($ability, $arguments);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->denies($ability, $arguments);
         }
         
         /**
@@ -5436,7 +5813,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function check($abilities, $arguments = array())
         {
-            return \Illuminate\Auth\Access\Gate::check($abilities, $arguments);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->check($abilities, $arguments);
         }
         
         /**
@@ -5449,7 +5827,22 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function any($abilities, $arguments = array())
         {
-            return \Illuminate\Auth\Access\Gate::any($abilities, $arguments);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->any($abilities, $arguments);
+        }
+        
+        /**
+         * Determine if all of the given abilities should be denied for the current user.
+         *
+         * @param \Illuminate\Auth\Access\iterable|string $abilities
+         * @param array|mixed $arguments
+         * @return bool 
+         * @static 
+         */ 
+        public static function none($abilities, $arguments = array())
+        {
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->none($abilities, $arguments);
         }
         
         /**
@@ -5463,7 +5856,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function authorize($ability, $arguments = array())
         {
-            return \Illuminate\Auth\Access\Gate::authorize($ability, $arguments);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->authorize($ability, $arguments);
         }
         
         /**
@@ -5476,7 +5870,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function raw($ability, $arguments = array())
         {
-            return \Illuminate\Auth\Access\Gate::raw($ability, $arguments);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->raw($ability, $arguments);
         }
         
         /**
@@ -5488,7 +5883,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getPolicyFor($class)
         {
-            return \Illuminate\Auth\Access\Gate::getPolicyFor($class);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->getPolicyFor($class);
+        }
+        
+        /**
+         * Specify a callback to be used to guess policy names.
+         *
+         * @param callable $callback
+         * @return \Illuminate\Auth\Access\Gate 
+         * @static 
+         */ 
+        public static function guessPolicyNamesUsing($callback)
+        {
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->guessPolicyNamesUsing($callback);
         }
         
         /**
@@ -5500,7 +5909,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resolvePolicy($class)
         {
-            return \Illuminate\Auth\Access\Gate::resolvePolicy($class);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->resolvePolicy($class);
         }
         
         /**
@@ -5512,7 +5922,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function forUser($user)
         {
-            return \Illuminate\Auth\Access\Gate::forUser($user);
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->forUser($user);
         }
         
         /**
@@ -5523,7 +5934,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function abilities()
         {
-            return \Illuminate\Auth\Access\Gate::abilities();
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->abilities();
         }
         
         /**
@@ -5534,7 +5946,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function policies()
         {
-            return \Illuminate\Auth\Access\Gate::policies();
+                        /** @var \Illuminate\Auth\Access\Gate $instance */
+                        return $instance->policies();
         }
          
     }
@@ -5542,10 +5955,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static array info(string $hashedValue)
-     * @method static string make(string $value, array $options = [])
-     * @method static bool check(string $value, string $hashedValue, array $options = [])
-     * @method static bool needsRehash(string $hashedValue, array $options = [])
      * @see \Illuminate\Hashing\HashManager
      */ 
     class Hash {
@@ -5558,7 +5967,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function createBcryptDriver()
         {
-            return \Illuminate\Hashing\HashManager::createBcryptDriver();
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->createBcryptDriver();
         }
         
         /**
@@ -5569,7 +5979,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function createArgonDriver()
         {
-            return \Illuminate\Hashing\HashManager::createArgonDriver();
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->createArgonDriver();
         }
         
         /**
@@ -5580,7 +5991,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function createArgon2idDriver()
         {
-            return \Illuminate\Hashing\HashManager::createArgon2idDriver();
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->createArgon2idDriver();
         }
         
         /**
@@ -5592,7 +6004,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function info($hashedValue)
         {
-            return \Illuminate\Hashing\HashManager::info($hashedValue);
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->info($hashedValue);
         }
         
         /**
@@ -5605,7 +6018,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function make($value, $options = array())
         {
-            return \Illuminate\Hashing\HashManager::make($value, $options);
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->make($value, $options);
         }
         
         /**
@@ -5619,7 +6033,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function check($value, $hashedValue, $options = array())
         {
-            return \Illuminate\Hashing\HashManager::check($value, $hashedValue, $options);
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->check($value, $hashedValue, $options);
         }
         
         /**
@@ -5632,7 +6047,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function needsRehash($hashedValue, $options = array())
         {
-            return \Illuminate\Hashing\HashManager::needsRehash($hashedValue, $options);
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->needsRehash($hashedValue, $options);
         }
         
         /**
@@ -5643,7 +6059,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getDefaultDriver()
         {
-            return \Illuminate\Hashing\HashManager::getDefaultDriver();
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->getDefaultDriver();
         }
         
         /**
@@ -5657,7 +6074,8 @@ namespace Illuminate\Support\Facades {
         public static function driver($driver = null)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Hashing\HashManager::driver($driver);
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->driver($driver);
         }
         
         /**
@@ -5665,13 +6083,14 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $driver
          * @param \Closure $callback
-         * @return $this 
+         * @return \Illuminate\Hashing\HashManager 
          * @static 
          */ 
         public static function extend($driver, $callback)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Hashing\HashManager::extend($driver, $callback);
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->extend($driver, $callback);
         }
         
         /**
@@ -5683,7 +6102,8 @@ namespace Illuminate\Support\Facades {
         public static function getDrivers()
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Hashing\HashManager::getDrivers();
+                        /** @var \Illuminate\Hashing\HashManager $instance */
+                        return $instance->getDrivers();
         }
          
     }
@@ -5691,44 +6111,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static \Illuminate\Http\Request instance()
-     * @method static string method()
-     * @method static string root()
-     * @method static string url()
-     * @method static string fullUrl()
-     * @method static string fullUrlWithQuery(array $query)
-     * @method static string path()
-     * @method static string decodedPath()
-     * @method static string|null segment(int $index, string|null $default = null)
-     * @method static array segments()
-     * @method static bool is(...$patterns)
-     * @method static bool routeIs(...$patterns)
-     * @method static bool fullUrlIs(...$patterns)
-     * @method static bool ajax()
-     * @method static bool pjax()
-     * @method static bool secure()
-     * @method static string ip()
-     * @method static array ips()
-     * @method static string userAgent()
-     * @method static \Illuminate\Http\Request merge(array $input)
-     * @method static \Illuminate\Http\Request replace(array $input)
-     * @method static \Symfony\Component\HttpFoundation\ParameterBag|mixed json(string $key = null, $default = null)
-     * @method static \Illuminate\Session\Store session()
-     * @method static \Illuminate\Session\Store|null getSession()
-     * @method static void setLaravelSession(\Illuminate\Contracts\Session\Session $session)
-     * @method static mixed user(string|null $guard = null)
-     * @method static \Illuminate\Routing\Route|object|string route(string|null $param = null)
-     * @method static string fingerprint()
-     * @method static \Illuminate\Http\Request setJson(\Symfony\Component\HttpFoundation\ParameterBag $json)
-     * @method static \Closure getUserResolver()
-     * @method static \Illuminate\Http\Request setUserResolver(\Closure $callback)
-     * @method static \Closure getRouteResolver()
-     * @method static \Illuminate\Http\Request setRouteResolver(\Closure $callback)
-     * @method static array toArray()
-     * @method static bool offsetExists(string $offset)
-     * @method static mixed offsetGet(string $offset)
-     * @method static void offsetSet(string $offset, $value)
-     * @method static void offsetUnset(string $offset)
      * @see \Illuminate\Http\Request
      */ 
     class Input {
@@ -5741,18 +6123,19 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function capture()
         {
-            return \Illuminate\Http\Request::capture();
+                        return \Illuminate\Http\Request::capture();
         }
         
         /**
          * Return the Request instance.
          *
-         * @return $this 
+         * @return \Illuminate\Http\Request 
          * @static 
          */ 
         public static function instance()
         {
-            return \Illuminate\Http\Request::instance();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->instance();
         }
         
         /**
@@ -5763,7 +6146,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function method()
         {
-            return \Illuminate\Http\Request::method();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->method();
         }
         
         /**
@@ -5774,7 +6158,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function root()
         {
-            return \Illuminate\Http\Request::root();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->root();
         }
         
         /**
@@ -5785,7 +6170,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function url()
         {
-            return \Illuminate\Http\Request::url();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->url();
         }
         
         /**
@@ -5796,7 +6182,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function fullUrl()
         {
-            return \Illuminate\Http\Request::fullUrl();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->fullUrl();
         }
         
         /**
@@ -5808,7 +6195,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function fullUrlWithQuery($query)
         {
-            return \Illuminate\Http\Request::fullUrlWithQuery($query);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->fullUrlWithQuery($query);
         }
         
         /**
@@ -5819,7 +6207,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function path()
         {
-            return \Illuminate\Http\Request::path();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->path();
         }
         
         /**
@@ -5830,7 +6219,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function decodedPath()
         {
-            return \Illuminate\Http\Request::decodedPath();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->decodedPath();
         }
         
         /**
@@ -5843,7 +6233,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function segment($index, $default = null)
         {
-            return \Illuminate\Http\Request::segment($index, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->segment($index, $default);
         }
         
         /**
@@ -5854,7 +6245,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function segments()
         {
-            return \Illuminate\Http\Request::segments();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->segments();
         }
         
         /**
@@ -5866,7 +6258,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function is($patterns = null)
         {
-            return \Illuminate\Http\Request::is($patterns);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->is($patterns);
         }
         
         /**
@@ -5878,7 +6271,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function routeIs($patterns = null)
         {
-            return \Illuminate\Http\Request::routeIs($patterns);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->routeIs($patterns);
         }
         
         /**
@@ -5890,7 +6284,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function fullUrlIs($patterns = null)
         {
-            return \Illuminate\Http\Request::fullUrlIs($patterns);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->fullUrlIs($patterns);
         }
         
         /**
@@ -5901,7 +6296,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function ajax()
         {
-            return \Illuminate\Http\Request::ajax();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->ajax();
         }
         
         /**
@@ -5912,7 +6308,20 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function pjax()
         {
-            return \Illuminate\Http\Request::pjax();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->pjax();
+        }
+        
+        /**
+         * Determine if the request is the result of an prefetch call.
+         *
+         * @return bool 
+         * @static 
+         */ 
+        public static function prefetch()
+        {
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->prefetch();
         }
         
         /**
@@ -5923,7 +6332,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function secure()
         {
-            return \Illuminate\Http\Request::secure();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->secure();
         }
         
         /**
@@ -5934,7 +6344,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function ip()
         {
-            return \Illuminate\Http\Request::ip();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->ip();
         }
         
         /**
@@ -5945,7 +6356,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function ips()
         {
-            return \Illuminate\Http\Request::ips();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->ips();
         }
         
         /**
@@ -5956,7 +6368,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function userAgent()
         {
-            return \Illuminate\Http\Request::userAgent();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->userAgent();
         }
         
         /**
@@ -5968,7 +6381,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function merge($input)
         {
-            return \Illuminate\Http\Request::merge($input);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->merge($input);
         }
         
         /**
@@ -5980,7 +6394,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function replace($input)
         {
-            return \Illuminate\Http\Request::replace($input);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->replace($input);
         }
         
         /**
